## xresponse-visualize 0.2.7

=== Makefile ===
install:

	install -d $(DESTDIR)/usr/bin
	install scripts/xresponse-visualize $(DESTDIR)/usr/bin
	install scripts/xresponse-convert $(DESTDIR)/usr/bin

=== debian/changelog ===
xresponse-visualize (0.2.7) unstable; urgency=low

  * Fixed an issue that prevented the -i option from working properly.
    Fixes: NB#85416

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 14 May 2008 15:37:36 +0300

xresponse-visualize (0.2.6) unstable; urgency=low

  * Fixed update indexing to start from 1 instead of 0.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri, 11 Apr 2008 12:19:30 +0300

xresponse-visualize (0.2.5) unstable; urgency=low

  * Fixed visualization rectangle size to match the updates more
    accurately. Additional timing information is also now displayed.
    Fixes: NB#84067

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri, 11 Apr 2008 11:54:20 +0300

xresponse-visualize (0.2.4) unstable; urgency=low

  * Handle possible whitespaces in xresponse timestamps. Fixes: NB#83947

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  9 Apr 2008 16:54:48 +0300

xresponse-visualize (0.2.3) unstable; urgency=low

  * Script no longer assumes Bash is needed. Fixes: NB#80370

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri,  4 Apr 2008 14:42:32 +0300

xresponse-visualize (0.2.2) unstable; urgency=low

  * An uncommitted Makefile change resulted xresponse-convert not being
    installed. Fixes: NB#78869

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 22 Jan 2008 17:07:39 +0200

xresponse-visualize (0.2.1) unstable; urgency=low

  * Added the missing manual page for the new xresponse-visualize script

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 16 Jan 2008 09:10:08 +0200

xresponse-visualize (0.2) unstable; urgency=low

  * renamed xresponse-visualize to xresponse-convert
  * added python/SDL based xresponse-visualize for interactive viewing
    of the screen updates
  * Fixes: NB#79183

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 10 Jan 2008 13:48:06 +0200

xresponse-visualize (0.0.1-3) unstable; urgency=low

  * Minor packaging cleanup

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 10 Jan 2008 08:46:25 +0200

xresponse-visualize (0.0.1-2) unstable; urgency=low

  * Initial packaging had issues, cleaned it up.
  * Fixes: NB#78869

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  9 Jan 2008 17:26:47 +0200

xresponse-visualize (0.0.1-1) unstable; urgency=low

  * Initial release.
  * Fixes: NB#78869

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  9 Jan 2008 17:13:42 +0200

=== debian/control ===
Source: xresponse-visualize
Section: devel
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.2.2

Package: xresponse-visualize
Architecture: all
Recommends: imagemagick, python-pygame
Description: Scripts for visualizing xresponse logs
 xresponse-convert script can be used to convert xresponse
 log to a series of images (requires ImageMagick), where
 each individual image shows the affected area of a single
 xresponse log entry as inverted on the screenshot
 of the display.
 .
 xresponse-visualize script (requiring python-pygame)
 allows interactive browsing of the visualized screen
 updates.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xresponse-visualize
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	# -$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k -s 

# build architecture-independent files here.
binary-indep:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman man/xresponse-convert.1 man/xresponse-visualize.1
#	dh_link
#	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: clean binary-indep binary install

## xresponse-visualize 0.3.3%2b0m5

=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-
-	# Add here commands to clean up after the build process.
-	# -$(MAKE) clean
-
+	$(MAKE) clean
 	dh_clean 
 
 install: build
@@ -52,14 +49,14 @@
 #	dh_installinfo
 	dh_installman man/xresponse-convert.1 man/xresponse-visualize.1
 #	dh_link
-#	dh_strip
+	dh_strip --dbg-package=xresponse-visualize
 	dh_compress 
 	dh_fixperms
 #	dh_perl
 #	dh_python
 #	dh_makeshlibs
 	dh_installdeb
-#	dh_shlibdeps
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## xresponse-visualize 0.3.3+0m5

=== Makefile ===
src/xresponse-visualize: src/xresponse-visualize.c
	gcc $< -Wall -Wextra `sdl-config --cflags --libs` -lSDL_image -lSDL_ttf -O2 -g -lfontconfig -std=c99 -o $@

clean:
	$(RM) src/xresponse-visualize

install: src/xresponse-visualize
	install -d $(DESTDIR)/usr/bin/
	install scripts/xresponse-convert.sh   $(DESTDIR)/usr/bin/xresponse-convert
	install scripts/xresponse-visualize.py $(DESTDIR)/usr/bin
	install src/xresponse-visualize        $(DESTDIR)/usr/bin

=== debian/changelog ===
xresponse-visualize (0.3.3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Thu, 13 Aug 2009 15:33:24 +0300

xresponse-visualize (0.3.3) unstable; urgency=low

  * Added alternative dependency to ttf-bitstream-vera. Fixes: NB#128555.

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Thu, 13 Aug 2009 15:08:41 +0300

xresponse-visualize (0.3.2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Mon, 27 Jul 2009 10:35:22 +0300

xresponse-visualize (0.3.2) unstable; urgency=low

  * Added dependency to ui-fonts. Fixes: NB#128555.

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Mon, 27 Jul 2009 09:27:12 +0300

xresponse-visualize (0.3.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Fri, 26 Jun 2009 14:12:24 +0300

xresponse-visualize (0.3.1) unstable; urgency=low

  * Ignore out-of-screen updates, and gives a warning to stderr when
    such inputs are found in the xresponse log file. Fixes: NB#122608.

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Fri, 26 Jun 2009 13:00:35 +0200

xresponse-visualize (0.3) unstable; urgency=low

  * Add C-version of xresponse-visualize
    Fixes: NB#114882

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 14 May 2009 15:37:36 +0300

=== debian/control ===
Source: xresponse-visualize
Section: devel
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libfontconfig1-dev
Standards-Version: 3.7.2.2

Package: xresponse-visualize
Architecture: any
Depends: ${shlibs:Depends}, ui-fonts | ttf-bitstream-vera
Recommends: xresponse, imagemagick, python-pygame, python
Description: Tools for visualizing xresponse logs
 xresponse-convert script can be used to convert xresponse
 log to a series of images (requires ImageMagick), where
 each individual image shows the affected area of a single
 xresponse log entry as inverted on the screenshot
 of the display.
 .
 xresponse-visualize allows interactive browsing of the
 visualized screen updates.
 .
 xresponse-visualize.py script (requiring python-pygame)
 is a python implementation of the visualization tool.

Package: xresponse-visualize-dbg
Architecture: any
Depends: xresponse-visualize (=${Source-Version})
Description: Debug symbols for xresponse-visualize binary
 Debug symbols for debugging issues with the xresponse-visualize binary
